Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPVGeometryFilter Class Reference

`#include <vtkPVGeometryFilter.h>`

Inheritance diagram for vtkPVGeometryFilter:

[legend]
Collaboration diagram for vtkPVGeometryFilter:

[legend]
List of all members.

## Detailed Description

Geometry filter that does outlines for volumes.

Date:
  2002/05/17 01:50:34

Revision:
  1.7

This filter defaults to using the outline filter unless the input is a structured volume.

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Hoffman, Bill (69%)
  - Law, Charles (20%)
  - Cedilnik, Andy (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPVGeometryFilter.cxx)`
  - .`h` (`/Parallel/vtkPVGeometryFilter.h)`

Tests:
  vtkPVGeometryFilter (Tests)

Definition at line 51 of file vtkPVGeometryFilter.h.

## Public Types
typedef vtkDataSetSurfaceFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | GetOutlineFlag ()
## Static Public Methods
vtkPVGeometryFilter * | New ()
int | IsTypeOf (const char *type)
vtkPVGeometryFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPVGeometryFilter ()
| ~vtkPVGeometryFilter ()
void | Execute ()
void | ImageDataExecute (vtkImageData *input)
void | StructuredGridExecute (vtkStructuredGrid *input)
void | RectilinearGridExecute (vtkRectilinearGrid *input)
void | UnstructuredGridExecute (vtkUnstructuredGrid *input)
## Protected Attributes
int | OutlineFlag

## Member Typedef Documentation

typedef vtkDataSetSurfaceFilter vtkPVGeometryFilter::Superclass

| Reimplemented from vtkDataSetSurfaceFilter. Definition at line 55 of file vtkPVGeometryFilter.h.

## Constructor & Destructor Documentation

vtkPVGeometryFilter::vtkPVGeometryFilter | ( |  | ) | `[protected]`

vtkPVGeometryFilter::~vtkPVGeometryFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPVGeometryFilter* vtkPVGeometryFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkDataSetSurfaceFilter.

virtual const char* vtkPVGeometryFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetSurfaceFilter.

int vtkPVGeometryFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetSurfaceFilter.

virtual int vtkPVGeometryFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetSurfaceFilter.

vtkPVGeometryFilter* vtkPVGeometryFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetSurfaceFilter.

void vtkPVGeometryFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetSurfaceFilter.

virtual int vtkPVGeometryFilter::GetOutlineFlag | ( |  | ) | `[virtual]`

| This flag is set during the execute method. It indicates that the input was 3d and an outline representation was used.

void vtkPVGeometryFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkDataSetSurfaceFilter.

void vtkPVGeometryFilter::ImageDataExecute | ( | vtkImageData * | input | ) | `[protected]`

void vtkPVGeometryFilter::StructuredGridExecute | ( | vtkStructuredGrid * | input | ) | `[protected]`

void vtkPVGeometryFilter::RectilinearGridExecute | ( | vtkRectilinearGrid * | input | ) | `[protected]`

void vtkPVGeometryFilter::UnstructuredGridExecute | ( | vtkUnstructuredGrid * | input | ) | `[protected]`

## Member Data Documentation

int vtkPVGeometryFilter::OutlineFlag`[protected]`

| Definition at line 74 of file vtkPVGeometryFilter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPVGeometryFilter.h